> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Venues

> Retrieve a list of all venues (locations).

## Purpose

Allows you to quickly retrieve active branches connected to your brand to initiate location-based operations.

## HTTP Request

```http theme={null}
GET https://integrations.clopos.com/open-api/v2/venues
```

<Warning>
  This endpoint requires authentication. Include your JWT in the `x-token` header. See [Authentication](/authentication) for how to obtain a token and [Errors](/errors) for error responses.
</Warning>

## Request Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X GET "https://integrations.clopos.com/open-api/v2/venues" \
    -H "x-token: oauth_example_token" \
  ```

  ```javascript javascript theme={null}
  const response = await fetch('https://integrations.clopos.com/open-api/v2/venues', {
    headers: {
      'x-token': 'oauth_example_token',
    }
  });

  const venues = await response.json();
  ```

  ```python python theme={null}
  import requests

  url = "https://integrations.clopos.com/open-api/v2/venues"
  headers = {
      "x-token": "oauth_example_token",
  }

  response = requests.get(url, headers=headers)
  venues = response.json()
  ```
</CodeGroup>

## Response

### 200 OK — List of branches

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "name": "Main",
      "is_main": 1,
      "media": []
    },
    {
      "id": 2,
      "name": "Baku",
      "is_main": 0,
      "media": []
    },
    {
      "id": 3,
      "name": "Masally",
      "is_main": 0,
      "media": []
    }
  ]
}
```

### 401 Unauthorized — Missing header

```json theme={null}
{
  "success": false,
  "error": "unauthorized",
  "message": "Missing authentication headers"
}
```

## Field Reference

### Branch object

| Field     | Type    | Description                                                   |
| --------- | ------- | ------------------------------------------------------------- |
| `id`      | integer | Branch ID.                                                    |
| `name`    | string  | Branch name.                                                  |
| `is_main` | integer | `1` if this is the primary branch, `0` otherwise.             |
| `media`   | array   | Image attachments. See [Media object](/common-objects#media). |

## Notes

* This endpoint returns all branches you have access to; use client-side logic to filter the result set.
* Use `is_main` to identify the primary branch in multi-location setups.
* Although the response size is small, client-side caching is recommended for large brands.
